Workflow stop request

Request of stop workflow

Endpoint

PUT /api/workflow/stop/

Auth

Authorization: Bearer ${token}

Query Parameters

KeyDefault
identity

Response

Json
[
    {
        "kind": "status",
        "payload": {
            "code": 0,
            "message": ""
        }
    },
    {
        "kind": "",
        "payload": ""
    },
    {
        "kind": "entity",
        "payload": {
            "created_at": "",
            "events": [
                {
                    "message": "",
                    "time": ""
                }
            ],
            "identity": "",
            "name": "",
            "status": "",
            "steps": [
                {
                    "definition": {
                        "Bind": null,
                        "Command": null,
                        "Env": null,
                        "Image": "",
                        "Mode": "",
                        "Name": "",
                        "Platform": "",
                        "Ports": null,
                        "Resources": {
                            "CPU": "",
                            "GPU": "",
                            "Memory": ""
                        }
                    },
                    "exit_code": 0,
                    "exited_at": "",
                    "identity": "",
                    "pid": null,
                    "started_at": "",
                    "status": ""
                }
            ],
            "tags": [
                ""
            ]
        }
    }
]

Notes

  • Workflow Permission Required